List webserver templates

List all webserver templates in your account.


GET/api/webserver-templates

List webserver templates

This endpoint allows you to retrieve all webserver templates available in your account.

Request

GET
/api/webserver-templates
curl -X GET "https://ploi.io/api/webserver-templates" \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json"

Response

{
  "data": [
    {
      "id": 1,
      "label": "Magento webserver",
      "content": ".....",
      "created_at": "2020-10-26 10:03:51"
    }
  ],
  "links": {
    "first": "https://ploi.io/api/webserver-templates?page=1",
    "last": "https://ploi.io/api/webserver-templates?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "« Previous",
        "active": false
      },
      {
        "url": "https://ploi.io/api/webserver-templates?page=1",
        "label": 1,
        "active": true
      },
      {
        "url": null,
        "label": "Next »",
        "active": false
      }
    ],
    "path": "https://ploi.io/api/webserver-templates",
    "per_page": 15,
    "to": 1,
    "total": 1
  }
}